#!/bin/bash

# le script accepte deux arguments
# le premier doit etre le dossier a nettoyer
# le second doit etre le nom du paquet genere
[ $# -eq 2 ] || exit 1;
[ -d "$1" ] || exit 2;
[ -n "$2" ] || exit 3;

# s'assure que le script est execute par root
if [ "$(whoami)" != "root" ]; then
	echo "Vous devez etre root pour lancer ce script"
	exit 3
fi

# se rend dans le dossier a nettoyer
echo "Positionnement dans le repertoire $1"
cd $1

# supprime les dossiers SVN
echo "Suppression des dossiers .svn"
find . -name .svn -type d | xargs rm -rf

# cree le dossier install
echo "Creation du dossier \"install\""
mkdir -p install

# cree le fichier de description du paquet
echo "Creation du fichier \"install/slack-desc\""
cat > install/slack-desc <<EOF
qelectrotech: qelectrotech (electric diagrams editor)
qelectrotech:
qelectrotech: QElectroTech is a Qt4 application to design electric diagrams. It
qelectrotech: uses XML files for elements and diagrams, and includes both a
qelectrotech: diagram editor and an element editor. 
qelectrotech: 
qelectrotech: This package requires the Qt4 library (>= 4.4.0)
qelectrotech:
qelectrotech:
qelectrotech:
qelectrotech:
EOF

# corrige les permissions
echo "Correction des permissions des fichiers a integrer dans le package"
chown -R root:root .
chown -R root:bin ./usr/bin
find . -type d | xargs chmod 755
find . -type f | xargs chmod 644
chmod a+x ./usr/bin/qelectrotech

# strip le fichier executable
strip -s ./usr/bin/qelectrotech

# utilise le man en iso par defaut
cp usr/share/man/fr.ISO8859-1/man1/qelectrotech.1.gz usr/share/man/fr/man1/qelectrotech.1.gz

# realise le paquet
echo "Execution de makepkg :"
makepkg --chown n "$2"
exit_code=$?
if [ $exit_code -ne 0 ]; then
	echo "Probleme lors de l'execution de makepkg"
	exit 4
fi

rm -rf install usr
